package cbpm.rtx.common.log.impl;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cbpm.rtx.common.log.LogUtil;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class Log4jLogUtil extends LogUtil {
  private Log log = LogFactory.getLog(this.logClassName);
  
  private Log4jLogUtil(Class logClass) {
    super(logClass);
  }
  
  private Log4jLogUtil(String logClassName) {
    super(logClassName);
  }
  
  public static LogUtil getInstance(Class logClass) {
    return new cbpm.rtx.common.log.impl.Log4jLogUtil(logClass);
  }
  
  public static LogUtil getInstance(String logClassName) {
    return new cbpm.rtx.common.log.impl.Log4jLogUtil(logClassName);
  }
  
  public void println(int tag, String msg) {
    if (tag == 1) {
      this.log.info(msg);
    } else if (tag == 2) {
      this.log.debug(msg);
    } else {
      this.log.error(msg);
    } 
  }
}
